package com.ssj.service.conch.parents.v1.request;

import com.ssj.bean.common.framework.core.domain.BaseRequest;
import io.swagger.annotations.ApiModelProperty;
import org.hibernate.validator.constraints.NotBlank;

/**
 * @author Mount Liu
 * @date 2018/10/11
 */
public class BookListReq extends BaseRequest {

    private final static long serialVersionUID = 1L;

	@ApiModelProperty(name = "grade", value = "年级", required = true)
	@NotBlank
	private String grade;

	@ApiModelProperty(name = "subject", value = "科目", required = true)
	@NotBlank
	private String subject;

	@ApiModelProperty(name = "bookName", value = "教辅名称")
	private String bookName;

	@ApiModelProperty(name = "pageNo", value = "当前页数")
	private Integer pageNo = 1;

	@ApiModelProperty(name = "pageSize", value = "每页条数")
	private Integer pageSize = 10;

	public String getGrade() {
		return grade;
	}

	public void setGrade(String grade) {
		this.grade = grade;
	}

	public String getSubject() {
		return subject;
	}

	public void setSubject(String subject) {
		this.subject = subject;
	}

	public String getBookName() {
		return bookName;
	}

	public void setBookName(String bookName) {
		this.bookName = bookName;
	}

	public Integer getPageNo() {
		return pageNo;
	}

	public void setPageNo(Integer pageNo) {
		this.pageNo = pageNo;
	}

	public Integer getPageSize() {
		return pageSize;
	}

	public void setPageSize(Integer pageSize) {
		this.pageSize = pageSize;
	}
}
